Saxon API for .NET |

# DynamicError Members

DynamicError overview

#### Public Instance Constructors

DynamicError Constructor | Create a new DynamicError, specifying the error message

#### Public Instance Properties

ErrorCode | The error code, as a QName. May be null if no error code has been assigned
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
IsTypeError | Indicate whether this condition is a type error.
IsWarning | Indicate whether this error is being reported as a warning condition. If so, applications may ignore the condition, though the results may not be as intended.
LineNumber | The line number locating the error within a query or stylesheet module
Message | Return the message associated with this error
ModuleUri | The URI of the query or stylesheet module in which the error was detected (as a string)
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Return the error message.

#### Protected Instance Properties

HResult (inherited from Exception) | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

DynamicError Class | Saxon.Api Namespace